PTHREAD_CLEANUP_POP(3)

NAME
pthread_cleanup_pop - call the first cleanup routine

LIBRARY
libc_r

SYNOPSIS
#include <pthread.h>
void
pthread_cleanup_pop(int execute);

DESCRIPTION
The pthread_cleanup_pop() function pops the top cleanup routine off of the current threads cleanup routine stack, and, if execute is non-zero, it will execute the function. If there is no cleanup routine then pthread_cleanup_pop() does nothing.

RETURN VALUES
pthread_cleanup_pop() does not return any value.

ERRORS
None

SEE ALSO
pthread_cleanup_push(3), pthread_exit(3)

STANDARDS
pthread_cleanup_pop() conforms to ISO/IEC 9945-1 ANSI/IEEE (“POSIX”) Std 1003.1 Second Edition 1996-07-12.